Packages - Bug #3036

[openshot]: The 'openshot-qt==2.5.1" distribution was not found and is required by the application
2021-05-23 01:08 AM - avalos

Status: in progress % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Hello! | just installed Openshot 2.5.1-1 and it throws this Python related traceback when | run openshot-qt:

Traceback (most recent call last):
File "/usr/bin/openshot-gt", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
def _initialize_master_working_set () :
File "/usr/lib/python3.9/site-packages/pkg_resources/__init___.py", line 3226, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.9/site-packages/pkg_resources/__init_ .py", line 3255, in _initialize_mas
ter_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
ws.require (__requires_ )
File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
needed = self.resolve (parse_requirements (requirements))
File "/usr/lib/python3.9/site-packages/pkg_resources/__init___.py", line 772, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'openshot-gt==2.5.1"'" distribution was not found and is req
uired by the application

History

#1 - 2021-05-23 01:13 AM - bill-auger
- Status changed from unconfirmed to confirmed

- Subject changed from Openshot: The ‘openshot-qt==2.5.1" distribution was not found and is required by the application to [openshot]: The
'openshot-qt==2.5.1" distribution was not found and is required by the application

i get a different error, but its definitely broken - this may need to be pinned to qt5-base?

$ openshot-qgt
Traceback (most recent call last):
File "/usr/bin/openshot-gqt", line 33, in <module>
sys.exit (load_entry_point ('openshot-gqt==2.5.1"', 'gui_scripts', 'openshot-qgt') ())
File "/usr/bin/openshot-qt", line 22, in importlib_load_entry_point
for entry_point in distribution(dist_name) .entry_points
File "/usr/lib/python3.9/importlib/metadata.py", line 524, in distribution
return Distribution.from_name (distribution_name)
File "/usr/lib/python3.9/importlib/metadata.py", line 187, in from_name
raise PackageNotFoundError (name)
importlib.metadata.PackageNotFoundError: openshot-gt

#2 - 2021-05-23 01:32 AM - avalos

this may need to be pinned to gt5-base?

| think it might possibly have something to do with pyqt5, rather than qgt5 itself.

#3 - 2021-05-23 02:08 AM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to in progress
#4 - 2021-10-26 07:09 AM - pavelsayekat

anyhow it's just that it's still broken.

$ openshot-qt

Traceback (most recent call last):

File "/usr/bin/openshot-gt", line 6, in <module>

from pkg_resources import load_entry_point

File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>

def initialize_master_working_set():

File "/usr/lib/python3.9/site-packages/pkg_resources/ init__.py", line 3226, in call_aside

f(*args, **kwargs)

File "/usr/lib/python3.9/site-packages/pkg_resources/ init__.py", line 3255, in initialize_master_working_set
working_set = WorkingSet._build_master()

File "/usr/lib/python3.9/site-packages/pkg_resources/ init__.py", line 568, in build_master
ws.require(requires)

File "/usr/lib/python3.9/site-packages/pkg_resources/_init__.py", line 886, in require

needed = self.resolve(parse_requirements(requirements))

File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve

raise DistributionNotFound(req, requirers)

pkg_resources.DistributionNotFound: The 'openshot-qt==2.5.1" distribution was not found and is required by the application
